import {
    GET_DEMAND_GROUP_ERROR,
    GET_DEMAND_GROUP_PENDING,
    GET_DEMAND_GROUP_RESET,
    GET_DEMAND_GROUP_SUCCESS
} from "../types/NanoCreditType";

const initialState = {
    loading: false,
    result: null,
    error: null
};

export default (state = initialState, action) => {
    switch (action.type) {
        case GET_DEMAND_GROUP_PENDING:
            return {
                ...state,
                loading: true
            }
        case GET_DEMAND_GROUP_SUCCESS:
            return {
                ...state,
                loading: false,
                result: action.result.data,
                error: null
            }
        case GET_DEMAND_GROUP_ERROR:
            return {
                ...state,
                loading: false,
                result: null,
                error: action.result
            }
        case GET_DEMAND_GROUP_RESET:
            return initialState;

        default: {
            return state;
        }
    }
};
